
SMODS.Joker{ --Wizard
    key = "wizard",
    config = {
        extra = {
            chipcount = 30
        }
    },
    loc_txt = {
        ['name'] = 'Wizard',
        ['text'] = {
            [1] = '{C:blue}+30{} Chips. Increases by',
            [2] = '{C:blue}10{} Chips for every {C:tarot}Tarot{}',
            [3] = 'consumable used.'
        },
        ['unlock'] = {
            [1] = 'Unlocked by default.'
        }
    },
    pos = {
        x = 9,
        y = 2
    },
    display_size = {
        w = 71 * 1, 
        h = 95 * 1
    },
    cost = 5,
    rarity = 1,
    blueprint_compat = true,
    eternal_compat = true,
    perishable_compat = true,
    unlocked = true,
    discovered = true,
    atlas = 'CustomJokers',
    pools = { ["kamenrider_kamenrider_jokers"] = true },
    
    loc_vars = function(self, info_queue, card)
        
        return {vars = {card.ability.extra.chipcount}}
    end,
    
    calculate = function(self, card, context)
        if context.cardarea == G.jokers and context.joker_main  then
            return {
                chips = card.ability.extra.chipcount
            }
        end
        if context.using_consumeable  then
            if context.consumeable and context.consumeable.ability.set == 'Tarot' then
                return {
                    func = function()
                        card.ability.extra.chipcount = (card.ability.extra.chipcount) + 10
                        return true
                    end
                }
            end
        end
    end
}